Package org.eclipse.gef.dot.internal.ui.conversion

## Class Dot2ZestAttributesConverter

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.Dot2ZestAttributesConverter

All Implemented Interfaces:
  `org.eclipse.gef.common.attributes.IAttributeCopier`

    public class Dot2ZestAttributesConverter
    extends java.lang.Object
    implements org.eclipse.gef.common.attributes.IAttributeCopier

A converter that transforms a `Graph` that is attributed with `DotAttributes` into a `Graph` that is attributed with `ZestProperties`.

### Nested Class Summary

Nested Classes
`static class` `Dot2ZestAttributesConverter.Options`

### Field Summary

Fields
`DotFontUtil` `fontUtil`

### Fields inherited from interface org.eclipse.gef.common.attributes.IAttributeCopier

`NULL_COPY, SHALLOW_COPY`

### Constructor Summary

Constructors
`Dot2ZestAttributesConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `convertAttributes​(org.eclipse.gef.graph.Edge dot, org.eclipse.gef.graph.Edge zest)`
`protected void` `convertAttributes​(org.eclipse.gef.graph.Graph dot, org.eclipse.gef.graph.Graph zest)`
`protected void` `convertAttributes​(org.eclipse.gef.graph.Node dot, org.eclipse.gef.graph.Node zest)`
`void` `copy​(org.eclipse.gef.common.attributes.IAttributeStore source, org.eclipse.gef.common.attributes.IAttributeStore target)`
`javafx.geometry.Bounds` `getBounds​(javafx.scene.Node fxNode)` Bounds for the JavaFxElement after CSS
`Dot2ZestAttributesConverter.Options` `options()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fontUtil

    public final DotFontUtil fontUtil

### Constructor Detail

#### Dot2ZestAttributesConverter

    public Dot2ZestAttributesConverter()

### Method Detail

#### copy

    public void copy​(org.eclipse.gef.common.attributes.IAttributeStore source,
                     org.eclipse.gef.common.attributes.IAttributeStore target)

Specified by:
  `copy` in interface `org.eclipse.gef.common.attributes.IAttributeCopier`

#### convertAttributes

    protected void convertAttributes​(org.eclipse.gef.graph.Edge dot,
                                     org.eclipse.gef.graph.Edge zest)

#### convertAttributes

    protected void convertAttributes​(org.eclipse.gef.graph.Node dot,
                                     org.eclipse.gef.graph.Node zest)

#### convertAttributes

    protected void convertAttributes​(org.eclipse.gef.graph.Graph dot,
                                     org.eclipse.gef.graph.Graph zest)

#### options

    public Dot2ZestAttributesConverter.Options options()

#### getBounds

    public javafx.geometry.Bounds getBounds​(javafx.scene.Node fxNode)

Bounds for the JavaFxElement after CSS

Parameters:
  `fxNode` - the fxnode of which the bounds should be calculated
Returns:
  the bounds of the node